--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Searches through <tt>str</tt> and decodes the <em>first</em> Ascii85-String found.
- !ruby/struct:SM::Flow::P 
  body: "#decode expects an Ascii85-encoded String enclosed in &lt;~ and ~&gt;. It will ignore all characters outside these markers."
- !ruby/struct:SM::Flow::VERB 
  body: "    Ascii85::decode(&quot;&lt;~;KZGo~&gt;&quot;)\n    =&gt; &quot;Ruby&quot;\n\n    Ascii85::decode(&quot;Foo&lt;~;KZGo~&gt;Bar&lt;~;KZGo~&gt;Baz&quot;)\n    =&gt; &quot;Ruby&quot;\n\n    Ascii85::decode(&quot;No markers&quot;)\n    =&gt; &quot;&quot;\n"
- !ruby/struct:SM::Flow::P 
  body: "#decode will raise Ascii85::DecodingError when malformed input is encountered."
full_name: Ascii85::decode
is_singleton: true
name: decode
params: (str)
visibility: public
